Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::Mutex Class Reference

A C++ wrapper for the GDK Mutex object. More...

`#include <inti/gdk/types.h>`

List of all members.

## Static Public Member Functions

- void lock ()
    This method marks the beginning of a critical section in which Gdk and Gtk methods can be called.
- void unlock ()
    This method marks the end of a critical section in which Gdk and Gtk methods can be called.

## Detailed Description

A C++ wrapper for the GDK Mutex object.

Mutex wraps the GDK mutex object that C programs lock and unlock with calls to gdk_threads_enter() and gdk_threads_leave() respectively. In Inti you don't use these fucntions. Instead you wrap critical sections of code in calls to Gdk::Mutex::lock() and Gdk::Mutex::unlock();

## Member Function Documentation

void Inti::Gdk::Mutex::lock | ( |  | ) | `[static]`

| This method marks the beginning of a critical section in which Gdk and Gtk methods can be called. Only one thread at a time can be in such a critial section. If threads have not been enabled this method does nothing.

void Inti::Gdk::Mutex::unlock | ( |  | ) | `[static]`

| This method marks the end of a critical section in which Gdk and Gtk methods can be called. Only one thread at a time can be in such a critial section. If threads have not been enabled this method does nothing.

The documentation for this class was generated from the following file:

- gdk/types.h

Main Page - Footer